Bug 132926 - New arch on the Darwin platform: "fat"
New arch on the Darwin platform: "fat"
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
http://rpm4darwin.sourceforge.net
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-19 16:44 EDT by Anders F Björklund
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 12:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.2.1-fatarch.patch (1.45 KB, patch)
2004-09-19 16:46 EDT, Anders F Björklund
no flags Details | Diff

  None (edit)
Description Anders F Björklund 2004-09-19 16:44:52 EDT
The latest Darwin OS (7.x) uses a "fat" architecture
where both PowerPC (ppc) and Intel (i386) code is in
the same binaries, both for programs and for libs/objects.

This arch is then used for packaging such RPMS: .fat.rpm
See http://www.opendarwin.org/downloads/7.2.1/RPMS/fat/

These fat binaries run on Mac OS X too, even if Apple
only ships the Developer Tools for the ppc side of it,
the rest are available as part of the Darwin project.
See http://www.opensource.apple.com/darwinsource/
Comment 1 Anders F Björklund 2004-09-19 16:46:09 EDT
Created attachment 104000 [details]
rpm-4.2.1-fatarch.patch
Comment 2 Jeff Johnson 2005-01-04 12:54:23 EST
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.